cURL
curl --request POST \ --url https://api.example.com/v1/submissions \ --header 'Content-Type: application/json' \ --data ' { "assignment_id": "<string>", "student_id": "<string>", "content": {}, "files": [ null ] } '
Documentation IndexFetch the complete documentation index at: https://docs.hawkings.education/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.hawkings.education/llms.txt
Use this file to discover all available pages before exploring further.
file_id
await hk.submissions.create({ assignment_id: "asg_123", student_id: "usr_42", content: { text: "Lorentz invariance means..." }, });
await hk.submissions.create({ assignment_id: "asg_123", student_id: "usr_42", content: { text: "" }, files: [{ name: "essay.pdf", body: blob, content_type: "application/pdf" }], });
ai_status: "pending"